Home Assistant Instalação em Pi3 - O Tutorial que Faltava!


#1

Olá Pessoal, neste video mostro detalhadamente cada passo para instalar o Home Assistant num ambiente virtual Python utilizando um Raspberrypi 3.


#2

Peço ajuda ao forum…

estou a tentar instalar o HomeAssistant em ambiente virtual, sigo todos os passos do video e sempre que tento instalar a Wheel obtenho estes erros, qual poderá ser o problema .

Collecting wheel

Exception:

Traceback (most recent call last):

File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 594, in urlopen

chunked=chunked)

File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 350, in _make_request

self._validate_conn(conn)

File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 837, in _validate_conn

conn.connect()

File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connection.py”, line 323, in connect

ssl_context=context)

File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/ssl_.py”, line 324, in ssl_wrap_socket

return context.wrap_socket(sock, server_hostname=server_hostname)

File “/usr/lib/python3.5/ssl.py”, line 385, in wrap_socket

_context=self)

File “/usr/lib/python3.5/ssl.py”, line 760, in init

self.do_handshake()

File “/usr/lib/python3.5/ssl.py”, line 996, in do_handshake

self._sslobj.do_handshake()

File “/usr/lib/python3.5/ssl.py”, line 641, in do_handshake

self._sslobj.do_handshake()

ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/srv/homeassistant/lib/python3.5/site-packages/pip/basecommand.py”, line 215, in main

status = self.run(options, args)

File “/srv/homeassistant/lib/python3.5/site-packages/pip/commands/install.py”, line 353, in run

wb.build(autobuilding=True)

File “/srv/homeassistant/lib/python3.5/site-packages/pip/wheel.py”, line 749, in build

self.requirement_set.prepare_files(self.finder)

File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py”, line 380, in prepare_files

ignore_dependencies=self.ignore_dependencies))

File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py”, line 554, in _prepare_file

require_hashes

File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_install.py”, line 278, in populate_link

self.link = finder.find_requirement(self, upgrade)

File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 465, in find_requirement

all_candidates = self.find_all_candidates([req.name](http://req.name/))

File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 423, in find_all_candidates

for page in self._get_pages(url_locations, project_name):

File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 568, in _get_pages

page = self._get_page(location)

File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 683, in _get_page

return HTMLPage.get_page(link, session=self.session)

File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 792, in get_page

"Cache-Control": "max-age=600",

File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 501, in get

return self.request('GET', url, **kwargs)

File “/srv/homeassistant/lib/python3.5/site-packages/pip/download.py”, line 386, in request

return super(PipSession, self).request(method, url, *args, **kwargs)

File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 488, in request

resp = self.send(prep, **send_kwargs)

File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 630, in send

history = [resp for resp in gen] if allow_redirects else []

File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 630, in <listcomp>

history = [resp for resp in gen] if allow_redirects else []

File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 190, in resolve_redirects

**adapter_kwargs

File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 609, in send

r = adapter.send(request, **kwargs)

File “/srv/homeassistant/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/adapter.py”, line 47, in send

resp = super(CacheControlAdapter, self).send(request, **kw)

File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/adapters.py”, line 423, in send

timeout=timeout

File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 643, in urlopen

_stacktrace=sys.exc_info()[2])

File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/retry.py”, line 315, in increment

total -= 1

TypeError: unsupported operand type(s) for -=: ‘Retry’ and ‘int’


#3

qual é commando que usas para instalar? podes colocar um print?


#4

Bom dia Bruno, o comando que estou a usar é :
python3 -m pip install wheel


#5

e estas a executar o mesmo em ambiente virtual?


#6

Afirmativo Bruno, estou na linha de comando
(homeassistant) homeassistant@raspberrypi:/srv/homeassistant $

e antes executei os comandos

$ sudo -u homeassistant -H -s
$ cd /srv/homeassistant
$ python3 -m venv .
$ source bin/activate

#7

consegues saber qual a versão do raspbian que estas a usar?


#8

Olá Bruno, eu estou a correr o Raspbian Lite, seguindo o teu post sobre esta instalação. Esta Noite vou fazer mais umas tentativas e depois reporto. Estou desconfiado que pode estar relacionado com o Servidor do PIP…vou ver se descubro outros alternativos. O teu Video é de Outubro, ou seja se o fizesses hoje tenho quase a certeza que irias ter o mesmo problema :frowning:


#9

vou testar novamente


#10

ok, obrigado Bruno pela ajuda